Skip to navigation

Update Brand Metafield

Updates a brand metafield.

Required Fields

  • none

Read-Only Fields

  • id
  • These fields can only be modified by the app (API credentials) that created the metafield:
    • namespace
    • key
    • permission_set

Usage Notes

  • Attempting to modify namespace, key, and permission_set fields using a client ID different from the one used to create those metafields will result in a 403 error message.
  • The maximum number of metafields allowed on each order, product, category, variant, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
metafield_idintegerRequired

The ID of the Metafield.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
permission_setenumOptional

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field.
readVisible to other API consumers.
writeOpen for reading and writing by other API consumers.
read_and_sf_accessVisible to other API consumers, including on the storefront.
write_and_sf_accessOpen for reading and writing by other API consumers, including on the storefront.
Allowed values:
namespacestringOptional1-64 characters
Namespace for the metafield, for organizational purposes.
keystringOptional1-64 characters

The name of the field, for example: location_id, color.

valuestringOptional1-65535 characters

The value of the field, for example: 1, blue.

descriptionstringOptional0-255 characters
Description for the metafields.

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

400
Bad Request Error
404
Not Found Error